Name:          uom-lib
Version:       1.0
Release:       1%{?dist}
Summary:       Java Units of Measurement Libraries
License:       BSD
URL:           https://github.com/unitsofmeasurement/uom-lib
Source0:       https://github.com/unitsofmeasurement/uom-lib/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(javax.measure:unit-api)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
Units of Measurement Libraries - extending and complementing JSR 363.

%package common
Summary:       Java Units of Measurement Common Library

%description common
Units of Measurement Common Library - extending and complementing JSR 363.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# tec.uom:uom-parent:1.0
%pom_remove_parent
%pom_xpath_inject pom:project "<version>%{version}</version>"

%pom_remove_plugin -r :maven-source-plugin

%pom_xpath_inject pom:project "<version>%{version}</version>" common
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:executions" common
%pom_xpath_inject pom:project '<packaging>bundle</packaging>' common
%pom_add_plugin org.apache.felix:maven-bundle-plugin common "
<extensions>true</extensions>
<configuration>
  <instructions>
    <Specification-Title>\${project.name}</Specification-Title>
    <Specification-Version>\${project.version}</Specification-Version>
    <Specification-Vendor>\${project.organization.name}</Specification-Vendor>
    <Implementation-Vendor>Unit-API contributors</Implementation-Vendor>
    <Implementation-URL>\${project.organization.url}</Implementation-URL>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"

%mvn_file tec.uom.lib:%{name}-common %{name}-common

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%license LICENSE.txt

%files common -f .mfiles-%{name}-common
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Oct 07 2016 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm

